//
//  BaseViewController.swift
//  Hydrometra
//
//  Created by Lukáš Šanda on 12.04.18.
//  Copyright © 2018 Lukáš Šanda. All rights reserved.
//

import UIKit
import SideMenu


// MARK: - Třída pro komponentu UIViewController, která definuje prvky, které jsou stejné pro více tříd stejného typu
class BaseViewController: UIViewController {
    
    // MARK: - Funkce
    
    override func viewDidLoad() {
        super.viewDidLoad()

        self.navigationController?.navigationBar.isTranslucent = false

        let backButton = UIBarButtonItem()
        backButton.title = "Back".localized
        self.navigationController?.navigationBar.topItem?.backBarButtonItem = backButton
    }
}

// MARK: - Třída pro komponentu UITableViewController, která definuje prvky, které jsou stejné pro více tříd stejného typu
class BaseTableViewController: UITableViewController {
    
    // MARK: - Funkce
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.navigationController?.navigationBar.isTranslucent = false

        let refreshControl = UIRefreshControl()
        refreshControl.tintColor = .black
        tableView.refreshControl = refreshControl
    }
}
