//
//  ChartValueSelect.swift
//  Hydrometra
//
//  Created by Lukáš Šanda on 21.02.18.
//  Copyright © 2018 Lukáš Šanda. All rights reserved.
//

import Foundation
import Charts

// MARK: - Rozšíření, které umožňuje změnu obdoví při kliknutí na položku sloupcového grafu
extension SenzorViewController: ChartViewDelegate {
    func chartValueSelected(_ chartView: ChartViewBase, entry: ChartDataEntry, highlight: Highlight) {
        if entry.y != 0 {
            let calendar = Calendar.current
            
            let year = calendar.component(.year, from: self.storedDate)
            let month = calendar.component(.month, from: self.storedDate)
            let day = calendar.component(.day, from: self.storedDate)
            
            switch selectedType {
            case .month:
                let dateStr = "\(year)-\(month)-\(Int(entry.x + 1))"
                self.dateFormatter.dateFormat = "yyyy-MM-dd"
                let date = dateFormatter.date(from: dateStr)
                self.dateFormatter.dateFormat = "YYYY-MM-dd'T'HH:mm:ss'Z'"
                let dateString = dateFormatter.string(from: date!)
                storedDate = dateFormatter.date(from: dateString)!
                ConsumptionAPI.shared.requestConsumption(id: senzor.idHw!, offset: 0, timeUnit: .day, date: dateString, completionHandler: { (senzor, error) in
                    if error == nil {
                        self.selectedType = .day
                        self.segmentButtons.selectedSegmentIndex = 0
                        self.senzor.consumptionDay = senzor?.consumptionDay
                        
                        self.dateFormatter.dateFormat = "dd. MM. YYYY"
                        let day: String = self.dateFormatter.string(from: date!)
                        self.tfDatePicker.text = day
                        
                        self.updateBarChart()
                    } else {
                        self.present(ReachabilityManager.shared.noConnectionAlert(showLogin: false), animated: true, completion: nil)
                    }
                })
                
            case .year:
                let dateStr = "\(year)-\(Int(entry.x + 1))-\(day)"
                self.dateFormatter.dateFormat = "yyyy-MM-dd"
                let date = dateFormatter.date(from: dateStr)
                self.dateFormatter.dateFormat = "YYYY-MM-dd'T'HH:mm:ss'Z'"
                let dateString = dateFormatter.string(from: date!)
                storedDate = dateFormatter.date(from: dateString)!
                ConsumptionAPI.shared.requestConsumption(id: senzor.idHw!, offset: 0, timeUnit: .month, date: dateString, completionHandler: { (senzor, error) in
                    if error == nil {
                        self.selectedType = .month
                        self.segmentButtons.selectedSegmentIndex = 1
                        
                        self.senzor.consumptionMonth = senzor?.consumptionMonth
                        
                        self.dateFormatter.dateFormat = "MMMM, YYYY"
                        let day: String = self.dateFormatter.string(from: date!)
                        self.tfDatePicker.text = day
                        
                        self.updateBarChart()
                    } else {
                        self.present(ReachabilityManager.shared.noConnectionAlert(showLogin: false), animated: true, completion: nil)
                    }
                })
                
            default:
                return
            }
        }
    }
}
