//
//  UIColor+Extensions.swift
//  Hydrometra
//
//  Created by Lukáš Šanda on 19.01.18.
//  Copyright © 2018 Lukáš Šanda. All rights reserved.
//

import Foundation
import UIKit

// MARK: - Rozšíření UIColor, které obsahuje hlavní barvy aplikace

extension UIColor {
    
    // MARK: - Appwide colors
    
    static let primaryColor                     = UIColor(red: 32, green: 173, blue: 169)
    static let secondaryColor                   = UIColor(red: 239, green: 239, blue: 239)
    static let defaultTextColor                 = UIColor.black
    static let grayTextColor                    = UIColor(red: 0, green: 0, blue: 0, alpha: 0.4)
    static let defaultTitleColor                = UIColor.black
    
    // MARK: - Wizard
    
    static let wizardIndicatorColor             = UIColor.grayTextColor
    
}

// MARK: - Additional initializers


extension UIColor {
    convenience init(red: Int, green: Int, blue: Int, alpha: CGFloat = 1.0) {
        self.init(red: CGFloat(red) / 255, green: CGFloat(green) / 255, blue: CGFloat(blue) / 255, alpha: alpha)
    }
}
