//
//  UIView+Extensions.swift
//  Hydrometra
//
//  Created by Lukáš Šanda on 22.02.18.
//  Copyright © 2018 Lukáš Šanda. All rights reserved.
//

import UIKit

extension UIView {
    
    func showBlurBackground() {
        let blurEffect = UIBlurEffect(style: .light)
        let blurEffectView = UIVisualEffectView(effect: blurEffect)
        blurEffectView.frame = self.bounds
        blurEffectView.autoresizingMask = [.flexibleWidth, .flexibleHeight]
        
        self.addSubview(blurEffectView)
    }
    
    func removeBlurBackground() {
        self.subviews.compactMap { $0 as? UIVisualEffectView }.forEach {
            $0.removeFromSuperview()
        }
    }
    
    func showBlurLoader() {
        let blurEffect = UIBlurEffect(style: .light)
        let blurEffectView = UIVisualEffectView(effect: blurEffect)
        blurEffectView.frame = self.bounds
        blurEffectView.autoresizingMask = [ .flexibleWidth, .flexibleHeight]
        
        let activityIndicator = UIActivityIndicatorView(activityIndicatorStyle: .white)
        activityIndicator.center = self.center
        activityIndicator.startAnimating()
        
        blurEffectView.contentView.addSubview(activityIndicator)
        self.addSubview(blurEffectView)
    }
    
    func removeBlurLoader(){
        self.subviews.compactMap {  $0 as? UIVisualEffectView }.forEach {
            $0.removeFromSuperview()
        }
    }
}
