//
//  UserDefaults+Extensions.swift
//  Hydrometra
//
//  Created by Lukáš Šanda on 04.04.18.
//  Copyright © 2018 Lukáš Šanda. All rights reserved.
//

import Foundation

enum UserRole: String {
    case administrator = "admin"
    case user = "user"
}

extension UserDefaults {
    
    struct Keys {
        static let wizardWasDisplayed = "bakalarskaPrace.Hydrometra.WizardWasDisplayed"
        static let userLoginToken = "bakalarskaPrace.Hydrometra.UserLoginToken"
        static let userRole = "bakalarskaPrace.Hydrometra.UserRole"
        static let userFullname = "bakalarskaPrace.Hydrometra.UserFullName"
    }
    
    var userLoginToken: String {
        set {
            set(newValue, forKey: Keys.userLoginToken)
        }
        get {
            return string(forKey: Keys.userLoginToken) ?? ""
        }
    }
    
    var userRole: String {
        set {
            set(newValue, forKey: Keys.userRole)
        }
        get {
            return string(forKey: Keys.userRole) ?? ""
        }
    }
    
    var userFullName: String {
        set {
            set(newValue, forKey: Keys.userFullname)
        }
        get {
            return string(forKey: Keys.userFullname) ?? ""
        }
    }
    
    var isWizardDisplayed: Bool {
        set {
            set(newValue, forKey: Keys.wizardWasDisplayed)
        }
        get {
            return bool(forKey: Keys.wizardWasDisplayed)
        }
    }
    
}
