//
//  Storyboards.swift
//  Hydrometra
//
//  Created by Lukáš Šanda on 21.02.18.
//  Copyright © 2018 Lukáš Šanda. All rights reserved.
//

import Foundation
import UIKit

@IBDesignable
public class StyledLabelParent: UILabel {
    
    // public and inspectable properties
    
    @IBInspectable public var lineSpace: CGFloat = 0.0 {
        didSet {
            if let text = self.text {
                self.attributedText = initAttrString(text: text)
            }
        }
    }
    
    @IBInspectable public var fontSize: CGFloat = 0.0 {
        didSet {
            if let text = self.text {
                self.attributedText = initAttrString(text: text)
            }
        }
    }
    

    
    // overrite
    func initStyles() {
        
    }

    //
    public override init(frame: CGRect) {
        super.init(frame: frame)
        initStyles()
    }
    
    required public init?(coder aDecoder: NSCoder) {
        super.init(coder: aDecoder)
        initStyles()
    }
    
    override open func prepareForInterfaceBuilder() {
        initStyles()
    }
    
    
    
    
    
    private func initAttrString(text: String) -> NSAttributedString {
        let paragraphStyle = NSMutableParagraphStyle()
        paragraphStyle.lineSpacing = CGFloat(lineSpace)
        paragraphStyle.alignment = self.textAlignment
        let attributedString: NSMutableAttributedString
        if fontSize != self.font.pointSize && fontSize > 0 {
            self.font = self.font.withSize(fontSize)
        }
        attributedString = NSMutableAttributedString(string: text)
        
        // Line spacing attribute
        attributedString.addAttribute(NSAttributedStringKey.paragraphStyle, value:paragraphStyle, range:NSMakeRange(0, attributedString.length))
        return attributedString
    }
    
    override public var text: String? {
        didSet {
            if let text = text {
                let attrs = initAttrString(text: text)
                self.attributedText = attrs
            }
        }
    }
}

