//
//  Storyboards.swift
//  Hydrometra
//
//  Created by Lukáš Šanda on 21.02.18.
//  Copyright © 2018 Lukáš Šanda. All rights reserved.
//

import Foundation
import UIKit

// App title
@IBDesignable
public class AppTitle: BaseTitle {
    override func initStyles() {
        super.initStyles()
        self.font = UIFont.systemFont(ofSize: 54, weight: .bold)
        self.textAlignment = .center
    }
}

// title of the wizard
@IBDesignable
public class WizardTitle: BaseTitle {
    override func initStyles() {
        super.initStyles()
        self.font = UIFont.systemFont(ofSize: 28, weight: .bold)
    }
}

// subtitle of the wizard
@IBDesignable
public class WizardSubtitle: BaseContent {
    override func initStyles() {
        super.initStyles()
        self.font = UIFont.systemFont(ofSize: 17, weight: .medium)
        self.lineSpace = 5.0
        self.textColor = .wizardIndicatorColor
    }
}

// normal title in the app
@IBDesignable
public class NormalTitle: BaseTitle {
    override func initStyles() {
        super.initStyles()
        self.font = UIFont.systemFont(ofSize: 20, weight: .bold)
    }
}

// normal content in the app
@IBDesignable
public class NormalContent: BaseContent {
    override func initStyles() {
        super.initStyles()
        self.font = UIFont.systemFont(ofSize: 15, weight: .regular)
        self.lineSpace = 5.0
    }
}

// Description content in the app
@IBDesignable
public class DescriptionContent: BaseContent {
    override func initStyles() {
        super.initStyles()
        self.font = UIFont.systemFont(ofSize: 15, weight: .medium)
        self.textColor = .defaultTitleColor
        self.lineSpace = 5.0
    }
}

// title of the indicator
@IBDesignable
public class IndicatorTitle: BaseTitle {
    override func initStyles() {
        super.initStyles()
        self.font = UIFont.systemFont(ofSize: 17, weight: .semibold)
    }
}

// Chart consumption content
@IBDesignable
public class chartConsumptionContent: BaseContent {
    override func initStyles() {
        super.initStyles()
        self.textAlignment = .center
        self.font = UIFont.systemFont(ofSize: 15, weight: .bold)
    }
}

// title of table header
@IBDesignable
public class tableHeaderTitle: BaseTitle {
    override func initStyles() {
        super.initStyles()
        self.textAlignment = .left
        self.font = UIFont.systemFont(ofSize: 15, weight: .medium)
    }
}

// normal title in the app
@IBDesignable
public class ChartTitle: BaseTitle {
    override func initStyles() {
        super.initStyles()
        self.font = UIFont.systemFont(ofSize: 15, weight: .bold)
    }
}





