//
//  JWTManager.swift
//  Hydrometra
//
//  Created by Lukáš Šanda on 26.02.18.
//  Copyright © 2018 Lukáš Šanda. All rights reserved.
//

import Foundation
import JWTDecode


class JWTManager {
    
    /// Sdílená proměnná
    static let shared: JWTManager = { return JWTManager() }()
    
    /// Funkce pro dekódování JSON Web Tokenu
    func decode() {
        let token = UserDefaults.standard.userLoginToken
        let range = { () -> Range<String.Index> in
            let start = token.index(token.startIndex, offsetBy: 7)
            let end = token.endIndex
            
            return start..<end
        }()
        
        do {
            let jwt = try JWTDecode.decode(jwt: String(token[range]))
            if let role = jwt.claim(name: "role").string {
                let fullName = jwt.claim(name: "UserFullName").string
                
                UserDefaults.standard.userRole = role
                UserDefaults.standard.userFullName = fullName!
                return
            }
        } catch {
            print("Failed to decode JWT: \(error)")
        }
        
        UserDefaults.standard.userRole = "user"
    }
}
