//
//  Hydrometra.swift
//  Hydrometra
//
//  Created by Lukáš Šanda on 01.09.17.
//  Copyright © 2017 Univerzita Pardubice. All rights reserved.
//

import Foundation


// MARK: - Class pro model Vodoměru
/// Model senzoru
class Senzor: NSObject {
    
    // MARK: - Proměnné
    /// Počet impulsů, než dojde k uzavření ventilu (Počet minut)
    var countStop: Int?
    /// Počet impulsů, než dojde k uzavření ventilu (počet minut) ve večerních hodinách
    var countStopNight: Int?
    /// Denní limit
    var limitDay: Double?
    /// Měsíční limit
    var limitMonth: Double?
    /// Hodina, kdy senzor přejde do večerního režimu
    var nightStartHour: Int?
    /// Hodina, kdy senzor přejde z večerního režimu
    var nightEndHour: Int?
    /// Minuty, kdy senzor přejde do večerního režimu
    var nightStartMinute: Int?
    /// Minuty, kdy senzor přejde z večerního režimu
    var nightEndMinute: Int?
    /// Identifikační číslo senzoru
    var idHw: Int?
    /// Název senzoru
    var nameHw: String?
    /// Sériové číslo senzoru
    var serialHw: String?
    /// Identifikační číslo uživatele, jemuž přísluší senzor
    var user: Int?
    /// Cena za m3
    var pricePerM3: Double?
    /// Počet impulzů na litr
    var implPerLit: Int?
    /// Identifikační číslo osoby, jež vytvořila záznam
    var createdId: Int?
    /// Datum, kdy příslušná osoba vytvořila záznam
    var createdDate: String?
    /// Identifikační číslo osoby, jež změnila hodnoty senzoru
    var modifiedId: Int?
    /// Datum, kdy příslušná osoba změnila hodnoty senzoru
    var modifiedDate: String?
    /// Stav funkčnosti senzoru (Open/Open Required/Close/Close Required)
    var state: Int?
    /// Kdo vyžádal změnu stavu (uživatel či samotný vodoměr, 0 od vodoměru)
    var stateModifierUserId: Int?
    /// Datum vyžádání změny stavu
    var stateModifiedDate: String?
    /// Jméno toho, kdo změnil stav uzávěru
    var stateModifierUserName: String?
    /// Stav senzoru k databázi (Online/Offline, naposledy Online:)
    var isOnline: Bool?
    /// Datum a čas, kdy byl senzor naposledy ve stavu Online
    var lastTimeOnline: String?
    
    // MARK: Spotřeba
    /// Hodinnová spotřeba
    var consumptionHours: NSArray?
    /// Denní spotřeba
    var consumptionDay: NSArray?
    /// Týdenní spotřeba
    var consumptionWeek: NSArray?
    /// Měsíční spotřeba
    var consumptionMonth: NSArray?
    /// Roční spotřeba
    var consumptionYear: NSArray?
    /// Celková spotřeba
    var consumptionTotal: Double?
    
    // MARK: - Inicializační funkce
    init (data json: [String : Any]) {
        self.countStop = json["countStop"] as? Int
        self.countStopNight = json["countStopNight"] as? Int
        self.limitDay = json["limitDay"] as? Double
        self.limitMonth = json["limitMonth"] as? Double
        self.nightStartHour = json["nightStartHour"] as? Int
        self.nightEndHour = json["nightEndHour"] as? Int
        self.nightStartMinute = json["nightStartMinute"] as? Int
        self.nightEndMinute = json["nightEndMinute"] as? Int
        self.isOnline = json["isOnline"] as? Bool
        self.lastTimeOnline = json["lastTimeOnline"] as? String
        self.idHw = json["idHw"] as? Int
        self.serialHw = json["serialHw"] as? String
        self.nameHw = json["nameHw"] as? String
        self.user = json["user"] as? Int
        self.pricePerM3 = json["pricePerM3"] as? Double
        self.implPerLit = json["implPerLit"] as? Int
        self.createdId = json["createdId"] as? Int
        self.createdDate = json["createdDate"] as? String
        self.modifiedId = json["modifiedId"] as? Int
        self.modifiedDate = json["modifiedDate"] as? String
        self.state = json["state"] as? Int
        self.stateModifierUserId = json["stateModifierUserId"] as? Int
        self.stateModifiedDate = json["stateModifiedDate"] as? String
        self.stateModifierUserName = json["stateModifierUserName"] as? String
    }
}
